package org.test;

import java.util.Arrays;
import java.util.List;

import javax.inject.Named;

import org.apache.camel.Exchange;
import org.switchyard.bus.camel.processors.Processors;
import org.switchyard.bus.camel.audit.Audit;
import org.switchyard.bus.camel.audit.Auditor;
import org.switchyard.ExchangeInterceptor;
import org.switchyard.HandlerException;

@Named("BPEL Error handler")
public class BPELErrorHandler implements ExchangeInterceptor {

    @Override
    public void after(String target, org.switchyard.Exchange exchange)
            throws HandlerException {
        Object content = exchange.getMessage().getContent();
        if (content instanceof HandlerException
                && !(content instanceof org.switchyard.component.bpel.BPELFault)) {
            String newContents = "<integer xmlns=\"http://example.com/loan-approval/xsd/error-messages/\">-100</integer>";
            System.out.println("Setting " + newContents);
            exchange.getMessage().setContent(newContents);
        }
    }

    @Override
    public void before(String target, org.switchyard.Exchange exchange)
            throws HandlerException {
        // TODO Auto-generated method stub
        
    }

    @Override
    public List<String> getTargets() {
        return Arrays.asList(PROVIDER);
    }

}